Bug 135147 - Excessive swap and cpu usage when system-logviewer loads
Excessive swap and cpu usage when system-logviewer loads
Product: Fedora
Classification: Fedora
Component: system-logviewer (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Depends On:
  Show dependency treegraph
Reported: 2004-10-08 21:44 EDT by Andrew Farris
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-21 16:42:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
backtrace of python running system-logviewer (3.51 KB, text/plain)
2004-10-08 21:45 EDT, Andrew Farris
no flags Details

  None (edit)
Description Andrew Farris 2004-10-08 21:44:59 EDT
Description of problem:
When system-logviewer loads (and subsequently when using the program)
an excessive amount of swap activity occurs with high cpu usage
(maxed).  Before the logviewer window is displayed over 400Mb of swap
space has been claimed by python.  After using the viewer for a short
period another block of swapping activity locks up the system so X
does not even refresh.  Occassionally the logviewer cpu usage will
cease and it will function normally for a short period before cpu
usage again maxes out.

Attaching to python from a vt and killing the process allowed X to
refresh again, system running fine.

Version-Release number of selected component (if applicable):

How reproducible:
Consistent.  Repeated but only 3 times so far.

Actual results:
System becomes unusable while attempting to view logs.

Expected results:
Logviewer should display all logfile entries without consuming large
amounts of swap space.

Additional info:
system-logviewer was started from a root (su -) logged in terminal in
a normal user X session.

backtrace of python during this issue is attached
It appears to be stuck in a library call from gtk2-devel.

/usr/lib/libgtk-x11-2.0.so.0 -> libgtk-x11-2.0.so.0.400.10
Comment 1 Andrew Farris 2004-10-08 21:45:55 EDT
Created attachment 104967 [details]
backtrace of python running system-logviewer
Comment 2 Andrew Farris 2004-10-08 21:49:03 EDT
This backtrace is not taken while the system is fully hung, I cannot
bring it to a complete hang state, but the backtrace does change at
different times while continuing under gdb.  It has been deeper, into
xft calls but this so if this is not very helpful I'd appreciate hints
how to recover something that will help more.  I am new to fairly new
to gdb.
Comment 3 Paul Nasrat 2004-10-11 05:21:42 EDT
What is your refresh time set too in Preferences?

Which log are you viewing when this occurs.  What is the actuall log
file size:

ls -al /var/log/

Please could you show the memory usage via vmstat or top for

For more detailed X resource usage can you do (yum install xrestop):

xrestop -b | grep -A 14 system-logviewer

Whilst memory use is high.  
Comment 4 Andrew Farris 2004-10-19 04:49:42 EDT
I apologize for the delay in getting back to this one.  I had the requested
output but cannot find it.. and cannot reproduce the behavior anymore.  I will
make another attempt to push the program and see what happens, but (see below) I
think this may have been a problem "between chair and keyboard".  It is a shame
Bugzilla doesn't have a resolution to fit that.

What I did find out was that I had one messages logfile (I think it was rotated
and gzip'd but not positive now) that was 90+ Mb of runaway selinux spam.  The
refresh being used was default, which appears to be 30secs.  That might create
an unreasonable load on parsing the logs.

Perhaps logs of 'larger' size should not refresh, although the initial load
would still take a long time.  If this was simply a problem of my one large
logfile it made the system unusable while the process was still running, and
that should be avoided if possible.
Comment 5 Chris Lumens 2005-04-21 16:42:24 EDT
system-logviewer has been removed from core.

Note You need to log in before you can comment on or make changes to this bug.